跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-chart
钱包 - 净值图表
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-chart \
  --header 'Authorization: Bearer <token>'
{
  "currentTimestamp": "2025-07-31T23:59:59.000Z",
  "history": [
    {
      "netWorth": "13210463.21",
      "netWorthChange": "1971274.94",
      "netWorthChangePercent": "17.54",
      "timestamp": "2025-07-30T23:59:59.000Z"
    }
  ],
  "pastTimestamp": "2025-07-01T23:59:59.000Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 Supported blockchain chains

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

钱包地址

查询参数

hours
integer<int32>
默认值:24

DTO.WALLET.NET_WORTH_CHART.HOURS (1-720, default 24)

响应

200 - application/json

成功响应

Wallet net-worth chart response with pagination.

currentTimestamp
string
必填
示例:

"2025-07-31T23:59:59.000Z"

history
object[]
必填
pastTimestamp
string
必填
示例:

"2025-07-01T23:59:59.000Z"

walletAddress
string
必填
示例:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"